<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'cas',

    /*
     * Package.
     */
    'package'   => 'service',

    /*
     * Modules.
     */
    'modules'   => ['services'],

    
    'services'       => [
        'model' => [
            'model'                 => \Cas\Service\Models\Services::class,
            'table'                 => 'services',
            'presenter'             => \Cas\Service\Repositories\Presenter\ServicesPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'slug',  'name',  'status',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'service/services',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Cas',
            'package'   => 'Service',
            'module'    => 'Services',
        ],

    ],
];
