<?php

namespace Cas\Service;

use User;

class Service
{
    /**
     * $services object.
     */
    protected $services;

    /**
     * Constructor.
     */
    public function __construct(\Cas\Service\Interfaces\ServicesRepositoryInterface $services)
    {
        $this->services = $services;
    }

    /**
     * Returns count of service.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.services.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->services->pushCriteria(new \Litepie\Cas\Repositories\Criteria\ServicesUserCriteria());
        }

        $services = $this->services->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('service::' . $view, compact('services'))->render();
    }
}
